# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::PopupMenuInterface Class Reference

This is an interface to provide custom popup menus for a View. More...

`#include <popupmenuinterface.h>`

List of all members.

## Public Member Functions

unsigned int | popupMenuInterfaceNumber () const
virtual void | installPopup (QPopupMenu *rmb_Menu)=0

## Protected Member Functions

void | setPopupMenuInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivatePopupMenuInterface

## Detailed Description

This is an interface to provide custom popup menus for a View.

Definition at line 33 of file popupmenuinterface.h.

## Member Function Documentation

virtual void KTextEditor::PopupMenuInterface::installPopup | ( | QPopupMenu * | rmb_Menu | ) | `[pure virtual]`

| Install a Popup Menu. The Popup Menu will be activated on a right mouse button press event.

The documentation for this class was generated from the following files:

- popupmenuinterface.h
- popupmenuinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003